export const ChartOption = {
  title: {
    text: 'Stacked Line',
    left: 'center',
    top: 12,
  },
  tooltip: {
    trigger: 'axis',
  },
  // legend: {
  //   data: ['Email', 'Union Ads', 'Video Ads', 'Direct', 'Search Engine'],
  // },
  grid: {
    left: 60,
    right: 110,
    bottom: 40,
    top: 60,
  },
  xAxis: {
    type: 'category',
    data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
  },
  yAxis: {
    type: 'value',
  },
  series: [],
};

export const Series_A = [
  {
    name: 'A',
    type: 'line',
    data: [820, 932, 901, 934, 1290, 1330, 1320],
    itemStyle: {
      color: '#f2317f',
    },
  },
];
export const Series_B = [
  {
    name: 'B',
    type: 'line',
    data: [150, 232, 201, 154, 190, 330, 410],
    symbol: 'none',
    itemStyle: {
      color: '#a696c8',
    },
    lineStyle: {
      type: 'dashed', //'dotted'点型虚线 'solid'实线 'dashed'线性虚线
    },
  },
  {
    name: 'C',
    type: 'line',
    data: [320, 332, 301, 334, 390, 330, 320],
    symbol: 'none',
    itemStyle: {
      color: '#a696c8',
    },
    lineStyle: {
      type: 'dashed',
    },
  },
];
export const Series_D = [
  {
    name: 'D',
    type: 'line',
    data: [220, 182, 191, 234, 290, 330, 310],
    // 设置小圆点消失
    // 注意：设置symbol: 'none'以后，拐点不存在了，设置拐点上显示数值无效
    symbol: 'none',
    itemStyle: {
      color: '#8bc24c',
    },
  },
  {
    name: 'E',
    type: 'line',
    data: [120, 132, 101, 134, 90, 230, 210],
    symbol: 'none',
    itemStyle: {
      color: '#8bc24c',
    },
  },
];
